## SETUP ##

You need the Haskell platform (see haskell.org ) for compiling from
source. An executable for Mac is included.

To make use of the tool, you should have also install:
   ProVerif `http://prosecco.gforge.inria.fr/personal/bblanche/proverif/`
and/or
   SPASS `http://www.spass-prover.org`

The new features of AIFOm (over AIF) have not yet been implemented for
the SPASS translation, so for AIFOm we only support ProVerif right now.

Compilation with GNU make: run ```make``` in the src/ subfolder

Compilation with Cabal (included in the Haskell platform): run 

```
cabal build
cabal install
```

Make sure that your local cabal binary folder (usually `$HOME/.cabal/bin`) is in the `$PATH` variable.

## USAGE ##

Run the tool by calling `aifomega [options] model.aifom` where `model.aifom` is your model. One can specify the following options:

```
    -spass     use the SPASS theorem prover as a backend
    -proverif  use ProVerif as a backend
    -Isa       use the Isabelle algorithm
    -AIFOm     force parsing of AIF-Omega file format
               (default for files ending in .aifom)
    -AIF       force parsing of AIF file format
    	       (default for files ending in .aif)
    -prove     run the theorem prover
```

Using ```-proverif``` will generate a ".prv" file that can be fed into
ProVerif for analysis.

Using ```-spass``` will generate a ".dfg" file that can be analyzed
with SPASS. Note: the SPASS result ```Completion found``` means that
the protocol is secure, while ```Proof found``` means that it has
found (proved) a potential attack.

Please contact us for bug reports:
- Alessandro Bruni brun@itu.dk
- Sebastian Moedersheim samo@dtu.dk


